Assign sponsor to timeslot
2 min
Assign speakers to timeslot
Assign existing speakers in your event to any existing content-type timeslot
POST
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors
curl --location -g --request POST 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'\
--data '{
"session_sponsor": {
"sponsor_id": {{sponsor_id}},
"timeslot_id": {{timeslot_id}},
"label": "{{label_name}}"
}
}'
'REQUEST BODY
{
"session_sponsor": {
"sponsor_id": {{sponsor_id}},
"timeslot_id": {{timeslot_id}},
"label": "{{label_name}}"
}
}
Required attributes:
- sponsor_id Number / the unique identifier generated by Brella for the sponsors (can be retrieved via the sponsors endpoints)
- timeslot_id Number / the unique identifier generated by Brella for the timeslot (can be retrieved via the timeslot endpoints)
- label String / see notes for supported values
Notes:
01: Both the sponsor and timeslot need to exist in the event. This endpoint can't create these entities for you.
02: The label attribute can be passed with any strings and will be displayed under the Schedule -> Sponsors -> Sponsors.
03: There is duplicate validation in this endpoint. It will not create duplicates in the following situation: The provided {sponsorId} and {timeslotId} combination are the same as an existing speaker assignment.